oracle.jdbc.datasource

## Interface OracleXADataSource

All Superinterfaces:
  CommonDataSource, OracleCommonDataSource, XADataSource

All Known Subinterfaces:
  OracleXADataSource

All Known Implementing Classes:
  OracleXADataSource, OracleXADataSource, OracleXADataSourceImpl

    public interface OracleXADataSource
    extends XADataSource, OracleCommonDataSource

This interface defines the Oracle extensions to the standard JDBC interface `XADataSource`.

Since:
  12.2

### Method Summary

All Methods Instance Methods Abstract Methods
`OracleXAConnectionBuilder` `createXAConnectionBuilder()` Creates a new `OracleXAConnectionBuilder` instance

### Methods inherited from interface javax.sql.XADataSource

`getXAConnection, getXAConnection`

### Methods inherited from interface oracle.jdbc.datasource.OracleCommonDataSource

`createShardingKeyBuilder, getConnectionProperties, getConnectionProperty, getDatabaseName, getDataSourceName, getDescription, getExplicitCachingEnabled, getImplicitCachingEnabled, getMaxStatements, getNetworkProtocol, getPortNumber, getRoleName, getServerName, getURL, getUser, setConnectionProperties, setConnectionProperty, setDatabaseName, setDataSourceName, setDescription, setExplicitCachingEnabled, setImplicitCachingEnabled, setMaxStatements, setNetworkProtocol, setPassword, setPortNumber, setRoleName, setServerName, setSingleShardTransactionSupport, setSSLContext, setURL, setUser`

### Methods inherited from interface javax.sql.CommonDataSource

`getLoginTimeout, getLogWriter, getParentLogger, setLoginTimeout, setLogWriter`

### Method Detail

#### createXAConnectionBuilder

    OracleXAConnectionBuilder createXAConnectionBuilder()
                                                 throws SQLException

Creates a new `OracleXAConnectionBuilder` instance

Returns:
  The `OracleXAConnectionBuilder` instance that was created
Throws:
  `SQLException` - if an error occurs creating the builder

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.